SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001085SiT!i18npublic2010-02-20 13:042011-05-21 10:33
ReporterTomse 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent SVN 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001085: Translations can be difficult in some languages because of the sequence of %s
Descriptionregarding translations : we have today <something %s of %s> this can be difficult to translate on some languages... perhaps something like <something %s.1 of %s.2> would make things easier on the translations

some languages have it's wording the other way around, so the full sentence can come out wrong in that language.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002411)
ivan (administrator)
2010-02-20 18:22

I can confirm this is a problem, but I've no idea how we can fix it
User avatar (0003649)
ivan (administrator)
2011-02-23 22:25

php printf supports argument numbering, so we should use this to apply ordering information to these string placeholders.

- Issue History
Date Modified Username Field Change
2010-02-20 13:04 Tomse New Issue
2010-02-20 18:22 ivan Note Added: 0002411
2010-02-20 18:22 ivan Status new => confirmed
2011-02-23 22:25 ivan Note Added: 0003649
2011-02-23 22:25 ivan Target Version => 3.90beta1
2011-04-16 15:52 ivan Assigned To => ivan
2011-04-16 15:52 ivan Status confirmed => assigned
2011-05-21 10:33 ivan Status assigned => resolved
2011-05-21 10:33 ivan Resolution open => fixed
2011-05-21 10:33 ivan Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker